package domain


type AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO struct {
    /*
        商品池活动类型 AMOUNT_DECREASE("amount_decrease", "满元减"),     AMOUNT_DISCOUNT("amount_discount", "满元折"),     COUNT_DECREASE("count_decrease", "满件减"),     COUNT_DISCOUNT("count_discount", "满件折"),     COUNT_N_FIXED_PRICE("count_n_fixed_price", "满N件第N件一口价"),     COUNT_N_DISCOUNT("count_n_discount", "满N件第N件Y折"),     AMOUNT_EXCHANGE("amount_exchange", "满元换购"),     COUNT_EXCHANGE("count_exchange", "满件换购"),     COUNT_ALL_FIXED_PRICE("count_all_fixed_price", "X元Y件"),     */
    ItemPoolDiscountType  *string `json:"item_pool_discount_type,omitempty" `

    /*
        外部订单号     */
    OutActId  *string `json:"out_act_id,omitempty" `

    /*
        营销活动ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        活动名称     */
    ActivityName  *string `json:"activity_name,omitempty" `

    /*
        活动描述     */
    Description  *string `json:"description,omitempty" `

    /*
        活动开始时间     */
    StartTime  *int64 `json:"start_time,omitempty" `

    /*
        活动结束时间     */
    EndTime  *int64 `json:"end_time,omitempty" `

    /*
        活动周几生效     */
    Weekdays  *[]string `json:"weekdays,omitempty" `

    /*
        活动每天生效时间段     */
    EveryDayPeriods  *[]string `json:"every_day_periods,omitempty" `

    /*
        优惠适用场景:1:APP  2:POS     */
    Terminals  *[]int32 `json:"terminals,omitempty" `

    /*
        操作人ID     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        操作人姓名     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        门店列表     */
    StoreIds  *[]string `json:"store_ids,omitempty" `

    /*
        外部门店列表     */
    OuterStoreIds  *[]string `json:"outer_store_ids,omitempty" `

    /*
        人群编码,saas平台人群编码:NEW_USER: 新用户, OLD_USER：老用户，LIGHT_NEW_USER：闪购新客     */
    MemberCrowdCodes  *[]string `json:"member_crowd_codes,omitempty" `

    /*
        限购信息     */
    Limit  *AlibabaRetailMarketingItempoolActivityQueryLimitDTO `json:"limit,omitempty" `

    /*
        逻辑分组     */
    LogicGroups  *[]AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO `json:"logic_groups,omitempty" `

    /*
        阶梯分组     */
    StairGroups  *[]AlibabaRetailMarketingItempoolActivityQueryStairGroupDTO `json:"stair_groups,omitempty" `

    /*
        是否上不封顶     */
    EnableMultiple  *bool `json:"enable_multiple,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetItemPoolDiscountType(v string) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.ItemPoolDiscountType = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetOutActId(v string) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.OutActId = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetActId(v int64) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetActivityName(v string) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.ActivityName = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetDescription(v string) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.Description = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetStartTime(v int64) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.StartTime = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetEndTime(v int64) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.EndTime = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetWeekdays(v []string) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.Weekdays = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetEveryDayPeriods(v []string) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.EveryDayPeriods = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetTerminals(v []int32) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.Terminals = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetCreatorId(v string) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetCreatorName(v string) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetStoreIds(v []string) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.StoreIds = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetOuterStoreIds(v []string) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.OuterStoreIds = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetMemberCrowdCodes(v []string) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.MemberCrowdCodes = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetLimit(v AlibabaRetailMarketingItempoolActivityQueryLimitDTO) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.Limit = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetLogicGroups(v []AlibabaRetailMarketingItempoolActivityQueryLogicGroupDTO) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.LogicGroups = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetStairGroups(v []AlibabaRetailMarketingItempoolActivityQueryStairGroupDTO) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.StairGroups = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO) SetEnableMultiple(v bool) *AlibabaRetailMarketingItempoolActivityQueryItemPoolPromotionActivityDTO {
    s.EnableMultiple = &v
    return s
}
